summarylogtreecommitdiffstats
path: root/fetch-develop.deps.sh
diff options
context:
space:
mode:
Diffstat (limited to 'fetch-develop.deps.sh')
-rwxr-xr-xfetch-develop.deps.sh20
1 files changed, 20 insertions, 0 deletions
diff --git a/fetch-develop.deps.sh b/fetch-develop.deps.sh
new file mode 100755
index 000000000000..fdbb713fa214
--- /dev/null
+++ b/fetch-develop.deps.sh
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+set -ex
+
+YARN_INSTALL_ARGS=("$@")
+
+echo "get matrix-js-sdk"
+git clone https://github.com/matrix-org/matrix-js-sdk.git
+pushd matrix-js-sdk
+git checkout develop
+yarn install --cache-folder="${YARN_INSTALL_ARGS[@]}"
+yarn add source-map-loader --cache-folder="${YARN_INSTALL_ARGS[@]}" # because webpack is made of fail (https://github.com/webpack/webpack/issues/1472)
+popd
+
+echo "get matrix-react-sdk"
+git clone https://github.com/matrix-org/matrix-react-sdk.git
+pushd matrix-react-sdk
+git checkout develop
+yarn install --cache-folder="${YARN_INSTALL_ARGS[@]}"
+popd \ No newline at end of file